Opened 15 months ago

Closed 11 months ago

Last modified 6 months ago

#2506 closed Task (fixed)

modify pressure gradient implementation as defined in equation A.19 of NEMO book v4.0.1 (10/2019)

Reported by: techene Owned by: techene
Priority: low Milestone: 2020 WP
Component: DYN Version: trunk
Severity: minor Keywords:
Cc: Branch review: passed
MP ready?: no Task progress: Unspecified

Description (last modified by techene)

Workplan action

KERNEL-08 is about hpg/spg simplification. We removed znad in hpg/isf routines and dealt with their consequences on spg routines.

These modifications change the results.

Wikipage: wiki:2020WP/KERNEL-08_techene_gm_HPG_SPG

Commit History (11)

ChangesetAuthorTimeChangeLog
14747techene2021-04-26T10:47:14+02:00

#2506 : bug correction for RK3 in vector form

14618techene2021-03-19T15:42:32+01:00

#2506 RK3 work in progess : for 2 configurag

14419techene2021-02-09T13:22:16+01:00

#2506 comments and loop optimisation from gm

14237ayoung2020-12-22T10:22:59+01:00

Removing unused merge branch for #2480 and #2506

14064ayoung2020-12-03T18:01:12+01:00

Merging ticket #2506 into trunk.

14062ayoung2020-12-03T17:39:30+01:00

Updating to trunk at 14060 and resolving conflicts with ticket #2480. Ticket #2506.

14044ayoung2020-12-03T12:55:42+01:00

Updated to trunk at 14040. No conflicts. #2506.

14037ayoung2020-12-03T12:20:38+01:00

Updated to trunk at 14020. Sette tests passed with change of results for configurations with non-linear ssh. Ticket #2506.

13935ayoung2020-12-01T13:21:25+01:00

Merging changes from KERNEL08 (spg calculation changes) into KERNEL01 (new djc code). See tickets #2480 and #2506.

13928ayoung2020-11-30T17:15:25+01:00

Branch combining KERNEL01 and KERNEL08 changes. See tickets #2480 and #2506.

13360techene2020-07-30T16:12:53+02:00

branch for pressure gradient rearrangement associated with #2506

Change History (14)

comment:1 Changed 15 months ago by techene

In 13360:

branch for pressure gradient rearrangement associated with #2506

comment:2 Changed 11 months ago by ayoung

In 13928:

Branch combining KERNEL01 and KERNEL08 changes. See tickets #2480 and #2506.

comment:3 Changed 11 months ago by ayoung

In 13935:

Merging changes from KERNEL08 (spg calculation changes) into KERNEL01 (new djc code). See tickets #2480 and #2506.

comment:4 Changed 11 months ago by techene

  • Branch review changed from failed to passed
  • Description modified (diff)

comment:5 Changed 11 months ago by ayoung

In 14037:

Updated to trunk at 14020. Sette tests passed with change of results for configurations with non-linear ssh. Ticket #2506.

comment:6 Changed 11 months ago by ayoung

Tests prior to commit 14037:

Current code is : NEMO/branches/2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG @ r14028 ( last change @ r13782 )

SETTE validation report generated for :

NEMO/branches/2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG @ r13782+ (last changed revision)

on XC40_METO_IFORT arch file

!!———————-1st pass—————————!!

!——restart——!

WGYRE_PISCES_ST run.stat restartability passed : 13782+
WGYRE_PISCES_ST tracer.stat restartability passed : 13782+
WORCA2_ICE_PISCES_ST run.stat restartability passed : 13782+
WORCA2_ICE_PISCES_ST tracer.stat restartability passed : 13782+
WORCA2_OFF_PISCES_ST tracer.stat restartability passed : 13782+
WAMM12_ST run.stat restartability passed : 13782+
WORCA2_SAS_ICE_ST run.stat restartability passed : 13782+
WAGRIF_DEMO_ST run.stat restartability passed : 13782+
WWED025_ST run.stat restartability passed : 13782+
WISOMIP+_ST run.stat restartability passed : 13782+
WOVERFLOW_ST run.stat restartability passed : 13782+
WLOCK_EXCHANGE_ST run.stat restartability passed : 13782+
WVORTEX_ST run.stat restartability passed : 13782+
WICE_AGRIF_ST run.stat restartability passed : 13782+

!——repro——!

WGYRE_PISCES_ST run.stat reproducibility passed : 13782+
WGYRE_PISCES_ST tracer.stat reproducibility passed : 13782+
WORCA2_ICE_PISCES_ST run.stat reproducibility passed : 13782+
WORCA2_ICE_PISCES_ST tracer.stat reproducibility passed : 13782+
WORCA2_OFF_PISCES_ST tracer.stat reproducibility passed : 13782+
WAMM12_ST run.stat reproducibility passed : 13782+
WORCA2_SAS_ICE_ST run.stat reproducibility passed : 13782+
WORCA2_ICE_OBS_ST run.stat reproducibility passed : 13782+
WAGRIF_DEMO_ST run.stat reproducibility passed : 13782+
WWED025_ST run.stat reproducibility passed : 13782+
WISOMIP+_ST run.stat reproducibility passed : 13782+
WVORTEX_ST run.stat reproducibility passed : 13782+
WICE_AGRIF_ST run.stat reproducibility passed : 13782+

!——agrif check——!

ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat unchanged - passed : 13782+ 13782+

!——result comparison check——!

No path for comparison specified. Result are not compare with any other revision.
To do it please fill NEMO_VALID_REF and NEMO_REV_REF in param.cfg.

ayoung@xcslc0:~/NEMO_MERGE_PARTY_2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG_svn/sette> vi param.cfg 3_Kayoung@xcslc0:~/NEMO_MERGE_PARTY_2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG_svn/sette> ./sette_rpt.sh

Current code is : NEMO/branches/2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG @ r14028 ( last change @ r13782 )

SETTE validation report generated for :

NEMO/branches/2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG @ r13782+ (last changed revision)

on XC40_METO_IFORT arch file

!!———————-1st pass—————————!!

!——restart——!

WGYRE_PISCES_ST run.stat restartability passed : 13782+
WGYRE_PISCES_ST tracer.stat restartability passed : 13782+
WORCA2_ICE_PISCES_ST run.stat restartability passed : 13782+
WORCA2_ICE_PISCES_ST tracer.stat restartability passed : 13782+
WORCA2_OFF_PISCES_ST tracer.stat restartability passed : 13782+
WAMM12_ST run.stat restartability passed : 13782+
WORCA2_SAS_ICE_ST run.stat restartability passed : 13782+
WAGRIF_DEMO_ST run.stat restartability passed : 13782+
WWED025_ST run.stat restartability passed : 13782+
WISOMIP+_ST run.stat restartability passed : 13782+
WOVERFLOW_ST run.stat restartability passed : 13782+
WLOCK_EXCHANGE_ST run.stat restartability passed : 13782+
WVORTEX_ST run.stat restartability passed : 13782+
WICE_AGRIF_ST run.stat restartability passed : 13782+

!——repro——!

WGYRE_PISCES_ST run.stat reproducibility passed : 13782+
WGYRE_PISCES_ST tracer.stat reproducibility passed : 13782+
WORCA2_ICE_PISCES_ST run.stat reproducibility passed : 13782+
WORCA2_ICE_PISCES_ST tracer.stat reproducibility passed : 13782+
WORCA2_OFF_PISCES_ST tracer.stat reproducibility passed : 13782+
WAMM12_ST run.stat reproducibility passed : 13782+
WORCA2_SAS_ICE_ST run.stat reproducibility passed : 13782+
WORCA2_ICE_OBS_ST run.stat reproducibility passed : 13782+
WAGRIF_DEMO_ST run.stat reproducibility passed : 13782+
WWED025_ST run.stat reproducibility passed : 13782+
WISOMIP+_ST run.stat reproducibility passed : 13782+
WVORTEX_ST run.stat reproducibility passed : 13782+
WICE_AGRIF_ST run.stat reproducibility passed : 13782+

!——agrif check——!

ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat unchanged - passed : 13782+ 13782+

!——result comparison check——!

check result differences between :
VALID directory : /home/d00/ayoung/NEMO_MERGE_PARTY_2020/dev_r13333_KERNEL-08_techene_gm_HPG_SPG_svn/NEMO_VALIDATION at rev 13782+
and
REFERENCE directory : /home/d00/ayoung/NEMO_MERGE_PARTY_2020/trunk/NEMO_VALIDATION at rev 14020

WGYRE_PISCES_ST run.stat files are identical
WGYRE_PISCES_ST tracer.stat files are identical
WORCA2_ICE_PISCES_ST run.stat files are DIFFERENT (results are different after 1 time steps)
WORCA2_ICE_PISCES_ST tracer.stat files are DIFFERENT (results are different after time steps)
WORCA2_OFF_PISCES_ST tracer.stat files are identical
WAMM12_ST run.stat files are DIFFERENT (results are different after 3 time steps)
WORCA2_SAS_ICE_ST run.stat files are identical
WAGRIF_DEMO_ST run.stat files are DIFFERENT (results are different after 1 time steps)
WWED025_ST run.stat files are DIFFERENT (results are different after 1 time steps)
WISOMIP+_ST run.stat files are DIFFERENT (results are different after 1 time steps)
WVORTEX_ST run.stat files are DIFFERENT (results are different after 1 time steps)
WICE_AGRIF_ST run.stat files are identical
WOVERFLOW_ST run.stat files are DIFFERENT (results are different after 1 time steps)
WLOCK_EXCHANGE_ST run.stat files are DIFFERENT (results are different after 1 time steps)

comment:7 Changed 11 months ago by ayoung

In 14044:

Updated to trunk at 14040. No conflicts. #2506.

comment:8 Changed 11 months ago by ayoung

In 14062:

Updating to trunk at 14060 and resolving conflicts with ticket #2480. Ticket #2506.

comment:9 Changed 11 months ago by ayoung

In 14064:

Merging ticket #2506 into trunk.

comment:10 Changed 11 months ago by techene

  • Resolution set to fixed
  • Status changed from new to closed

comment:11 Changed 10 months ago by ayoung

In 14237:

Removing unused merge branch for #2480 and #2506

comment:12 Changed 8 months ago by techene

In 14419:

#2506 comments and loop optimisation from gm

comment:13 Changed 7 months ago by techene

In 14618:

#2506 RK3 work in progess : for 2 configurag

comment:14 Changed 6 months ago by techene

In 14747:

#2506 : bug correction for RK3 in vector form

Note: See TracTickets for help on using tickets.